=== modified file 'configure.ac'
--- configure.ac	2013-06-03 14:38:26 +0000
+++ configure.ac	2013-06-11 08:03:52 +0000
@@ -3346,60 +3346,63 @@
 AC_SUBST(XTRA_OBJS)
 
 if test "x$XTRA_LIBS" = "x"; then
 	XTRA_LIBS="$LIBS"
 	dnl minor cleanup
 	XTRA_LIBS=`echo $XTRA_LIBS | sed -e "s/  */ /g"`
 	LIBS=''
 fi
 AC_SUBST(XTRA_LIBS)
 
 AC_SUBST(SQUID_CFLAGS)
 AC_SUBST(SQUID_CXXFLAGS)
 
 AC_MSG_NOTICE([BUILD LIBRARIES: $LIBS])
 AC_MSG_NOTICE([BUILD EXTRA LIBRARIES: $XTRA_LIBS])
 AC_MSG_NOTICE([BUILD OBJECTS: $OBJS])
 AC_MSG_NOTICE([BUILD EXTRA OBJECTS: $XTRA_OBJS])
 AC_MSG_NOTICE([BUILD C FLAGS: $CFLAGS])
 AC_MSG_NOTICE([BUILD EXTRA C FLAGS: $SQUID_CFLAGS])
 AC_MSG_NOTICE([BUILD C++ FLAGS: $CXXFLAGS])
 AC_MSG_NOTICE([BUILD EXTRA C++ FLAGS: $SQUID_CXXFLAGS])
 
 dnl Clean up after OSF/1 core dump bug
 rm -f core 
 
 AC_CONFIG_FILES([\
 	Makefile \
 	compat/Makefile \
 	lib/Makefile \
 	lib/ntlmauth/Makefile \
+	lib/libTrie/Makefile \
+	lib/libTrie/src/Makefile \
+	lib/libTrie/test/Makefile \
 	lib/profiler/Makefile \
 	lib/rfcnb/Makefile \
 	lib/smblib/Makefile \
 	scripts/Makefile \
 	src/Makefile \
 	src/anyp/Makefile \
 	src/base/Makefile \
 	src/acl/Makefile \
 	src/fs/Makefile \
 	src/repl/Makefile \
 	src/auth/Makefile \
 	src/auth/basic/Makefile \
 	src/auth/digest/Makefile \
 	src/auth/negotiate/Makefile \
 	src/auth/ntlm/Makefile \
 	src/adaptation/Makefile \
 	src/adaptation/icap/Makefile \
 	src/adaptation/ecap/Makefile \
 	src/comm/Makefile \
 	src/esi/Makefile \
 	src/eui/Makefile \
 	src/format/Makefile \
 	src/http/Makefile \
 	src/icmp/Makefile \
 	src/ident/Makefile \
 	src/ip/Makefile \
 	src/log/Makefile \
 	src/ipc/Makefile \
 	src/ssl/Makefile \
 	src/mgr/Makefile \

=== modified file 'lib/Makefile.am'
--- lib/Makefile.am	2013-05-04 11:50:26 +0000
+++ lib/Makefile.am	2013-06-11 08:09:45 +0000
@@ -1,46 +1,45 @@
 include $(top_srcdir)/src/Common.am
 
 DIST_SUBDIRS = ntlmauth profiler rfcnb smblib libTrie
 SUBDIRS=
 EXTRA_DIST=
 
-if USE_ESI
-SUBDIRS += libTrie
-endif
 if ENABLE_XPROF_STATS
 SUBDIRS += profiler
 endif
 
 install: all
 install-strip: all
 
+SUBDIRS += libTrie
+
 noinst_LTLIBRARIES = \
 	libmiscencoding.la \
 	libmisccontainers.la \
 	libmiscutil.la
 
 #
 # Some libraries are only available on Windows
 # and others are unable to be built.
 #
 if ENABLE_WIN32SPECIFIC
 noinst_LTLIBRARIES += libsspwin32.la
 libsspwin32_la_SOURCES = sspwin32.cc
 else
 SUBDIRS += rfcnb smblib
 EXTRA_DIST += sspwin32.cc
 endif
 if ENABLE_AUTH_NTLM
 SUBDIRS += ntlmauth
 endif
 
 #
 # dirent.c, encrypt.c and getopt.c are needed for native Windows support.
 #
 EXTRA_libmiscutil_la_SOURCES = \
 	dirent.c \
 	encrypt.c \
 	getopt.c
 
 libmiscencoding_la_SOURCES = \
 	base64.c \

=== modified file 'lib/libTrie/Makefile.am'
--- lib/libTrie/Makefile.am	2012-10-04 11:10:17 +0000
+++ lib/libTrie/Makefile.am	2013-06-11 08:10:34 +0000
@@ -1,5 +1,5 @@
-## Process this file with automake to produce Makefile.in
+include $(top_srcdir)/src/Common.am
+include $(top_srcdir)/src/TestHeaders.am
 
-AUTOMAKE_OPTIONS = dist-bzip2 subdir-objects 1.5
 DIST_SUBDIRS = include src test
 SUBDIRS = src test

=== removed file 'lib/libTrie/acinclude.m4'
--- lib/libTrie/acinclude.m4	2011-12-03 10:55:45 +0000
+++ lib/libTrie/acinclude.m4	1970-01-01 00:00:00 +0000
@@ -1 +0,0 @@
-dnl

=== removed file 'lib/libTrie/configure.ac'
--- lib/libTrie/configure.ac	2013-05-06 04:18:38 +0000
+++ lib/libTrie/configure.ac	1970-01-01 00:00:00 +0000
@@ -1,114 +0,0 @@
-# Process this file with autoconf to produce a configure script.
-AC_INIT(libTrie, 0.1, rbtcollins@squid-cache.org)
-AC_CONFIG_SRCDIR([src/Trie.cc])
-AC_CONFIG_HEADERS([config.h])
-AC_CONFIG_AUX_DIR(cfgaux)
-
-enable_inline=${enable_inline:=yes}
-AC_ARG_ENABLE(optimizations,
-  AC_HELP_STRING([--disable-optimizations],
-                 [Do not compile Squid with compiler optimizations enabled.
-                  Optimization is good for production builds, but not
-                  good for debugging. During development, use
-                  --disable-optimizations to reduce compilation times
-                  and allow easier debugging. This option implicitly
-                  also enabled --disable-inline]), [
-  if test "x$enableval" = "xno" ; then
-        AC_MSG_NOTICE([Disabling compiler optimizations (-O flag)])
-        CFLAGS="`echo $CFLAGS | sed -e 's/-O[[0-9]]*//'`"
-        CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-O[[0-9]]*//'`"
-        enable_inline="no"
-  fi
-])
-
-AC_ARG_ENABLE(inline,
-  AC_HELP_STRING([--disable-inline],
-                 [Do not compile trivial methods as inline. Squid
-                  is coded with much of the code able to be inlined.
-                  Inlining is good for production builds, but not
-                  good for development. During development, use
-                  --disable-inline to reduce compilation times and
-                  allow incremental builds to be quick. For
-                  production builds, or load tests, use
-                  --enable-inline to have squid make all trivial
-                  methods inlinable by the compiler.]), [
-  if test "x${enableval}" = "xno" ; then
-    enable_inline=no
-  fi
-])
-if test "x$enable_inline" = "xyes" ; then
-    AC_DEFINE(_SQUID_INLINE_, inline, 
-      [Keyword used by squid for inlining methods])
-    AC_DEFINE(_USE_INLINE_, 1, [Include inline methods into header file])
-else
-    AC_MSG_NOTICE([Inlining optimization disabled])
-    AC_DEFINE(_SQUID_INLINE_, [] , [Keyword used by squid for inlining methods])
-    AC_DEFINE(_USE_INLINE_, 0, [Include inline methods into header file])
-fi
-
-# Checks for programs.
-AC_PROG_CXX
-AC_PROG_CC
-AC_LANG_CPLUSPLUS
-AC_PROG_MAKE_SET
-# for old automakes - like squid-cache.orgs!
-AM_INIT_AUTOMAKE(libTrie, 0.1)
-AM_MAINTAINER_MODE
-AC_PROG_RANLIB
-
-AC_LIBTOOL_DLOPEN
-AC_LIBLTDL_CONVENIENCE
-AC_PROG_LIBTOOL
-AC_LTDL_DLLIB
-AC_SUBST(INCLTDL)
-AC_SUBST(LIBLTDL)
-
-dnl set useful flags
-TRIE_CFLAGS=
-TRIE_CXXFLAGS=
-if test "$GCC" = "yes"; then
-  TRIE_CFLAGS="-Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments"
-  TRIE_CXXFLAGS="-Wall -Wpointer-arith -Wwrite-strings -Wcomments"
-
-  AC_ARG_ENABLE(strict-error-checking,
-    AS_HELP_STRING([--disable-strict-error-checking],[By default compile
-                   with all possible static compiler error-checks enabled.
-                   This flag disables the behavior]), [
-    case $enableval in
-      yes|1|true)
-	enable_strict_error_checking=yes
-	;;
-      *)
-	enable_strict_error_checking=no
-	;;
-    esac
-  ])
-  AC_MSG_NOTICE([strict error checking enabled: ${enable_strict_error_checking:=yes}])
-  if test "x${enable_strict_error_checking:=yes}" = "xyes"; then
-     TRIE_CFLAGS="-Werror $TRIE_CFLAGS"
-     TRIE_CXXFLAGS="-Werror $TRIE_CXXFLAGS"
-  fi
-
-fi
-
-AC_SUBST(TRIE_CFLAGS)
-AC_SUBST(TRIE_CXXFLAGS)
-
-# Checks for libraries.
-
-# Checks for header files.
-AC_CHECK_HEADERS( \
-	iostream \
-)
-
-# Checks for typedefs, structures, and compiler characteristics.
-AC_C_CONST
-AC_TYPE_SIZE_T
-
-# Checks for library functions.
-
-AC_CONFIG_FILES([Makefile
-                 include/Makefile
-                 src/Makefile
-                 test/Makefile])
-AC_OUTPUT

=== modified file 'lib/libTrie/src/Makefile.am'
--- lib/libTrie/src/Makefile.am	2009-11-12 01:12:50 +0000
+++ lib/libTrie/src/Makefile.am	2013-06-11 08:01:26 +0000
@@ -1,13 +1,9 @@
-
-INCLUDES = -I$(top_srcdir)/include
-
-AM_CFLAGS = $(TRIE_CFLAGS)
-AM_CXXFLAGS = $(TRIE_CXXFLAGS)
+INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir) -I../include
 
 noinst_LIBRARIES = libTrie.a
 
 libTrie_a_SOURCES = Trie.cc \
 	TrieNode.cc
 
 noinst_HEADERS = ../include/Trie.cci \
 	../include/TrieNode.cci

=== modified file 'lib/libTrie/src/Trie.cc'
--- lib/libTrie/src/Trie.cc	2010-12-14 14:01:14 +0000
+++ lib/libTrie/src/Trie.cc	2013-06-10 15:58:33 +0000
@@ -1,50 +1,50 @@
 /*
  * Copyright (c) 2002,2003 Robert Collins <rbtcollins@hotmail.com>
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
  *
  */
 
-#include "config.h"
+#include "squid.h"
 #include "Trie.h"
 #if HAVE_UNISTD_H
 #include <unistd.h>
 #endif
 #include "TrieNode.h"
 #include "TrieCharTransform.h"
 
 #if !_USE_INLINE_
 #include "Trie.cci"
 #endif
 
 Trie::Trie(TrieCharTransform *aTransform) : head(0) , transform(aTransform)
 {}
 
 extern "C" void *TrieCreate()
 {
     return new Trie;
 }
 
 Trie::~Trie()
 {
     delete head;
     delete transform;
 }
 
 extern "C" void TrieDestroy(void *aTrie)
 {
     delete (Trie *)aTrie;
 }
 

=== modified file 'lib/libTrie/src/TrieNode.cc'
--- lib/libTrie/src/TrieNode.cc	2010-12-14 14:01:14 +0000
+++ lib/libTrie/src/TrieNode.cc	2013-06-11 08:02:27 +0000
@@ -1,50 +1,50 @@
 /*
  * Copyright (c) 2002,2003 Robert Collins <rbtcollins@hotmail.com>
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
  *
  */
 
-#include "config.h"
+#include "squid.h"
 #include "TrieNode.h"
 #include "TrieCharTransform.h"
 #if HAVE_UNISTD_H
 #include <unistd.h>
 #endif
 
 TrieNode::TrieNode() : _privateData(NULL)
 {
     for (int i = 0; i < 256; ++i)
         internal[i] = NULL;
 }
 
 TrieNode::~TrieNode()
 {
     for (int i = 0; i < 256; ++i)
         delete internal[i];
 }
 
 /* as for find */
 bool
 TrieNode::add(char const *aString, size_t theLength, void *privatedata, TrieCharTransform *transform)
 {
     /* We trust that privatedata and existant keys have already been checked */
 
     if (theLength) {
         int index = transform ? (*transform)(*aString): *aString;
 
         if (!internal[index])
             internal[index] = new TrieNode;
 

=== modified file 'lib/libTrie/test/Makefile.am'
--- lib/libTrie/test/Makefile.am	2009-11-25 23:57:26 +0000
+++ lib/libTrie/test/Makefile.am	2013-06-10 15:55:02 +0000
@@ -1,16 +1,13 @@
 INCLUDES = -I$(top_srcdir)/include
 
-AM_CFLAGS = $(TRIE_CFLAGS)
-AM_CXXFLAGS = $(TRIE_CXXFLAGS)
-
 # TESTS = trie trie-c
 TESTS = trie
 
 # check_PROGRAMS = trie trie-c
 check_PROGRAMS = trie
 
 trie_SOURCES = trie.cc
 trie_LDADD = $(top_builddir)/src/libTrie.a
 
 #trie_c_SOURCES = trie-c.c
 #trie_c_LDADD = $(top_builddir)/src/libTrie.a -lm

